play.libs

## Class F

- java.lang.Object
- - play.libs.F

-     public class F
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `F.Action<T>`
    `static interface` | `F.Action0`
    `static class` | `F.ArchivedEventStream<T>`
    `static class` | `F.BlockingEventStream<T>`
    `static class` | `F.E2<A,B>`
    `static class` | `F.E3<A,B,C>`
    `static class` | `F.E4<A,B,C,D>`
    `static class` | `F.E5<A,B,C,D,E>`
    `static class` | `F.Either<A,B>`
    `static class` | `F.EventStream<T>`
    `static interface` | `F.Function0<R>` A Function with no arguments.
    `static class` | `F.IndexedEvent<M>`
    `static class` | `F.Matcher<T,R>`
    `static class` | `F.None<T>`
    `static class` | `F.Option<T>`
    `static class` | `F.Promise<V>`
    `static class` | `F.Some<T>`
    `static class` | `F.T2<A,B>`
    `static class` | `F.T3<A,B,C>`
    `static class` | `F.T4<A,B,C,D>`
    `static class` | `F.T5<A,B,C,D,E>`
    `static class` | `F.Timeout`
    `static class` | `F.Tuple<A,B>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static F.None<java.lang.Object>` | `None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `F()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <A> F.Some<A>` | `Some(A a)`
    `static <A,B> F.T2<A,B>` | `T2(A a, B b)`
    `static <A,B,C> F.T3<A,B,C>` | `T3(A a, B b, C c)`
    `static <A,B,C,D> F.T4<A,B,C,D>` | `T4(A a, B b, C c, D d)`
    `static <A,B,C,D,E> F.T5<A,B,C,D,E>` | `T5(A a, B b, C c, D d, E e)`
    `static F.Timeout` | `Timeout(long delay)`
    `static F.Timeout` | `Timeout(java.lang.String delay)`
    `static F.Timeout` | `Timeout(java.lang.String token, long delay)`
    `static F.Timeout` | `Timeout(java.lang.String token, java.lang.String delay)`
    `static <A,B> F.Tuple<A,B>` | `Tuple(A a, B b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### None

          public static F.None<java.lang.Object> None

  - ### Constructor Detail

    - #### F

          public F()

  - ### Method Detail

    - #### Timeout

          public static F.Timeout Timeout(java.lang.String delay)

    - #### Timeout

          public static F.Timeout Timeout(java.lang.String token,
                                          java.lang.String delay)

    - #### Timeout

          public static F.Timeout Timeout(long delay)

    - #### Timeout

          public static F.Timeout Timeout(java.lang.String token,
                                          long delay)

    - #### Some

          public static <A> F.Some<A> Some(A a)

    - #### Tuple

          public static <A,B> F.Tuple<A,B> Tuple(A a,
                                                 B b)

    - #### T2

          public static <A,B> F.T2<A,B> T2(A a,
                                           B b)

    - #### T3

          public static <A,B,C> F.T3<A,B,C> T3(A a,
                                               B b,
                                               C c)

    - #### T4

          public static <A,B,C,D> F.T4<A,B,C,D> T4(A a,
                                                   B b,
                                                   C c,
                                                   D d)

    - #### T5

          public static <A,B,C,D,E> F.T5<A,B,C,D,E> T5(A a,
                                                       B b,
                                                       C c,
                                                       D d,
                                                       E e)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly